extends Node2D

var timer:= Timer.new()
@export var secondCount= 30

var totalCrates := 0

signal destroyBox

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	add_child(timer)
	timer.wait_time = 1
	timer.one_shot = false
	timer.connect("timeout", secondCounter)
	timer.start()

func secondCounter():
	print("time left: ", secondCount)
	secondCount -=1
	if secondCount <= 0:
		print("A loser is you")
		get_tree().reload_current_scene()

	
# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta: float) -> void:
	pass

func _on_trigger(_effect: Variant, body) -> void:
	print("they were triggered!")
	if body is RigidBody2D:
		print("crate spotted")
		body.queue_free()

			
func bulletHit(body):
	print("Game controller knows bullet hit something")
	if body.is_in_group("destructables"):
	
		destroyBox.emit(body)
 
func countCrates(value):
	totalCrates = value
